﻿/*
 * MyThoS application CSS 1.0.0
 *
 * Copyright 2013, A.G.
 *
 *  
 *   @Contents:
 *   
 *      1) Html + Body
 *      2) Navbar
 *      3) Header
 *      4) Content
 *      5) Footer
 *      6) Normalize
 *      7) Elements
 *
 **/
/* Html + Body 
 ----------------------------------*/
html
{
    background-color: #e2e2e2;
    margin: 0;
    padding: 0;
    height: 100%;
}

body
{
    background-color: #e2e2e2;
    border-top: solid 1em #000;
    border-bottom: solid 1em #000;
    color: #333;
    font-family: "Segoe UI", Verdana, Helvetica, Sans-Serif;
    margin: 0;
    padding: 0;
    height: 100%;
}

/* Navbar, Header, Content, Footer 
----------------------------------*/
.navbar, .header, .content, .footer, .ng-view
{
    text-align: center;
    width: 100%;
    position: absolute;   
}

/* Navbar */
.navbar {
    top:0em;
    left:0px;
    height: 3em;
    line-height:3em;
}
.navbar .button {
	margin-left:auto;
	margin-right: auto;
	display:inline-block;
}

/* Header */
.header
{
    padding: 1em;
    top: 3em;
   
}
h1
{
    font-size: 1.8em;
    margin: 0px;
}
.header h1 {
    display:inline-block;
    
    background: transparent url(/Content/img/thought-48.png) no-repeat left center;
    padding-left: 60px;
    line-height: 2.5em;
}
.header h1 u {
    text-decoration:none;
    color: olivedrab;
}

/* Content */
.content
{
    top:9em;
    bottom:2em;
}


/* View container */
.ng-view 
{
    
  
}
/* Footer */
.footer
{
    bottom: 0em;
    height: 2em;
    line-height:2em;
    
}

/* Normalize 
----------------------------------*/
.radius, html body input.radius { -webkit-border-radius: 5px; -moz-border-radius: 5px; -ms-border-radius: 5px; -o-border-radius: 5px; border-radius: 5px; }
input[type=text] { border: solid 1px silver;}

/* Elements
 ----------------------------------*/
/* Thoughts list*/
.list{
    width: 100%;
    
    position:absolute;
    top:0em;
    bottom:0;
    left: 0;
    overflow:auto;
    background: white;
    border: solid 1px gray;   
    padding: 10px;
}

.list .thought{
    
    
    margin:2px 10px 10px 10px;
    width: 90%;
    text-align:left;
    padding: 0.3em 1em;
    border: dotted 1px gray;
    cursor:pointer;
    

}
.list .thought .close-button {
    float:right;
}

.list .thought:hover {
    background-color: whitesmoke;
}
/* Form, input */
.input-form {
    margin-right:auto;
    position:absolute;
    top:25%;
    left:50%;
}
.text-input {
     width:100%;
     margin-bottom: 0px !important;
}

/* Input Preview */
.input-preview {
    position:relative;
    top:0.5em;
    width:100%;
    text-align:left;
    font-size: 0.8em;
}
.input-preview .key-value { padding: 3px 0px; }
.input-preview .key-value b { color:gray; }
    .input-preview .prosa
    {
        padding: 5px;
        background-color: #f6eaa3;
        -webkit-text-shadow: 1px 1px #fff;
        -moz-text-shadow: 1px 1px #fff;
        text-shadow: 1px 1px #fff;
    }
/* Log */
#Log {
    position:absolute;
    right:0px;
    bottom:2em;
    height:5em;
    width:75%;
    overflow:auto;
    background:white;
    z-index:10;
    padding:0.8em;
}
#Log p {
    margin:0px;
    font-size:70%;
}
/* info and errors */
/*.message-info
{
    border: 1px solid;
    clear: both;
    padding: 10px 20px;
}

.message-error
{
    clear: both;
    color: #e80c4d;
    font-size: 1.1em;
    font-weight: bold;
    margin: 20px 0 10px 0;
}

.message-success
{
    color: #7ac0da;
    font-size: 1.3em;
    font-weight: bold;
    margin: 20px 0 10px 0;
}

.error
{
    color: #e80c4d;
}*/

/* styles for validation helpers */
/*.field-validation-error
{
    color: #e80c4d;
    font-weight: bold;
}

.error
{
    padding-bottom: 5px;
}

.field-validation-valid
{
    display: none;
}

input[type="text"].input-validation-error,
input[type="password"].input-validation-error
{
    border: 1px solid #e80c4d;
}

.validation-summary-errors
{
    color: #e80c4d;
    font-weight: bold;
    font-size: 1.1em;
}

.validation-summary-valid
{
    display: none;
}

.row
{
    padding: 4px;
}

.header
{
    color: #2BA6CB;
    font-size: large;
}*/
